summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtest.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test.sh b/test.sh
index a748726278b1..6ebaae3ef1ac 100755
--- a/test.sh
+++ b/test.sh
@@ -49,6 +49,15 @@ if [[ $helloWorld != 'Hello, world!' ]]; then
exit 1
fi
+printf '%s\n' 'Testing Espresso...'
+
+# reusing the same Test.java / Test.class
+helloWorld=$(java -truffle Test) || exit
+if [[ $helloWorld != 'Hello, world!' ]]; then
+ printf 'expected "Hello, world!", got %q\n' "$helloWorld"
+ exit 1
+fi
+
printf '%s\n' 'Testing GraalWASM...'
PATH=$PATH:/usr/lib/emscripten